## debian-reference 2.93

=== Makefile ===
#######################################################################
# Build debian-reference (v2)
# vim: set ts=8:
#######################################################################
#======================================================================
# ===== Adjustable parameters =========================================
#======================================================================
# base file name excluding file extension
MANUAL	:=	debian-reference
# languages translated with PO files
# This can list more than debian/rules for translator to check the result
LANGPO	:=	ja fr it pt de zh-cn zh-tw es id nb sv fi pt-br
# languages to skip generation of PDF files (not used now)
NOPDF	:=
# languages to build document
LANGALL	=	en $(LANGPO)

# Packages uploaded to unstable repo generate official Debian web pages
# Change these to post-release state when Debian is under soft freeze
#
# current "stable" release name
RELEASE_NAME0L := bullseye
RELEASE_NAME0C := Bullseye
# next "stable" / "testing" release name
RELEASE_NAME1L := bookworm
RELEASE_NAME1C := Bookworm
# next next "stable" / next "testing" release name
RELEASE_NAME2L := trixie
RELEASE_NAME2C := Trixie
# release name considered outdated (Release_Date-EOL_for_LTS)
RELEASE_NAMEXX := Jessie 8 (2015-2020)
# release names when this document was last updated
RELEASE_DOC_1  := Bullseye (=<literal>stable</literal>)
RELEASE_DOC_2  := Bookworm (=<literal>testing</literal>)

# version in changelog
DR_VERSION :=	$(shell dpkg-parsechangelog --show-field Version)
# set SOURCE_DATE_EPOCH if unset (when not called from debhelper)
SOURCE_DATE_EPOCH ?= $(shell dpkg-parsechangelog -STimestamp)
# date in changelog
SOURCE_DATE := $(shell date -u +'%F %T %Z' --date=@$(SOURCE_DATE_EPOCH))

# BUILD_DIR is not mean to be set to generic TMPDIR
BUILD_DIR	:= $(CURDIR)/build

# Change $(DRAFTMODE) from "yes" to "maybe" when this document
# should go into production mode
#DRAFTMODE      := yes
DRAFTMODE       := maybe
export DRAFTMODE
# Prevent external TZ export to impact build result
TZ	:= "0"
export TZ
# for reproducible build
FORCE_SOURCE_DATE = 1
export FORCE_SOURCE_DATE
#######################################################################
### basic constant parameters
#######################################################################
# Directories (no trailing slash)
DXSL	:=	xslt
DBIN	:=	bin
DRAW	:=	rawxml
DPO	:=	po
DIMG	:=	/usr/share/xml/docbook/stylesheet/nwalsh/images

# work around https://bugs.debian.org/725931
PERL_PERTURB_KEYS := 0
export PERL_PERTURB_KEYS
PERL_HASH_SEED := 0
export PERL_HASH_SEE

# Program name and option
XLINT	:=	xmllint --format
XPNO	:=	xsltproc --novalid --nonet
XPINC	:=	/usr/bin/faketime @$(SOURCE_DATE_EPOCH) xsltproc --novalid --nonet --xinclude
GETTEXT	:=	po4a-gettextize -M utf-8 -L utf-8 --format docbook
UPDATEPO:=	msgmerge --update --previous
MSGATTR	:=	msgattrib
MSGCAT	:=	msgcat
MSGUNIQ	:=	msguniq --use-first
MSGNOOBS:=      msgattrib --no-obsolete
DBLATEX	:=	/usr/bin/faketime @$(SOURCE_DATE_EPOCH) /usr/bin/dblatex
SED	:=	sed
ZIP	:=      /usr/bin/faketime @$(SOURCE_DATE_EPOCH) zip

# Source files
SRC_XML :=	$(wildcard $(DRAW)/*_*.rawxml)
SRC_ENT:=	remote.ent common.ent
# source PO files for all languages (build process requires these)
SRC_PO :=	$(addsuffix .po, $(addprefix  $(DPO)/, $(LANGPO)))
# sed script for replace
SEDF ?= $(DBIN)/replace0

# Remote file source (related to Debian package archive URLs)
#DEBM	:=	http://ftp.us.debian.org/debian/dists
#DEBM	:=	http://ftp.jp.debian.org/debian/dists
DEBM	:=	http://deb.debian.org/debian/dists
# Debian popcon data source URL
UPOPC	:=	https://popcon.debian.org/all-popcon-results.txt.gz
# Debian release name and arch used
CODE	:=	sid
ARCH	:=	amd64
UDEBA	:=	$(DEBM)/$(CODE)
UDEBB	:=	$(DEBM)/experimental
UDEBC	:=	$(DEBM)/stable
UDEBD	:=	$(DEBM)/oldstable
# processed remote data
PACKAGES_DATA := packages.main packages.contrib packages.non-free \
		packages.txt packages.experimental.txt \
		packages.stable.txt packages.oldstable.txt
POPCON_DATA :=  all-popcon-results.txt \
		all-popcon-date.txt \
		all-popcon-submissions.txt \
		all-popcon-pkgs.txt
PKG_LIST :=	pkg.lst
REMOTE_DATA :=	$(PACKAGES_DATA) $(POPCON_DATA)


#######################################################################
# Used as $(call check-command, <command>, <package>)
define check-command
set -e; if ! type $(1) >/dev/null; then \
  echo "Missing command: $(1), install package: $(2)"; \
  false; \
fi
endef
# Used as $(call check-file, <file>)
define check-file
set -e; if ! [ -r $(1) ]; then \
  echo "Missing file: $(1)"; \
  false; \
fi
endef
#======================================================================
# ===== Build targets =================================================
#======================================================================
#######################################################################
# $ make all       # build all
#######################################################################
.PHONY: all
# set LANGPO to limit language to speed up build
all: css html txt pdf
	cat fuzzy.log

#######################################################################
# $ make test      # build html for testing (for Translator)
#######################################################################
.PHONY: test
test: html css
	cat fuzzy.log

#######################################################################
# $ make entity    # refresh remote.ent (Need remote access)
#######################################################################
# For major English update, run this and commit updated data
.PHONY: entity
entity:
	$(MAKE) entityclean
	$(MAKE) remote.ent
#######################################################################
# $ make en      # build html for testing (for English)
#######################################################################
.PHONY: en
en:
	$(MAKE) entity
	$(MAKE) html css LANGPO=

#######################################################################
# Phase 1 (pre-build): Debian archive stat data
#######################################################################
.PHONY: remote
remote: $(REMOTE_DATA)

packages.main:
	# FETCH PACKAGE (sid main)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBA)/main/binary-$(ARCH)/Packages.xz      | xzcat - > packages.main.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.main.tmp > packages.main
	rm packages.main.tmp

packages.contrib:
	# FETCH PACKAGE (sid contrib)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBA)/contrib/binary-$(ARCH)/Packages.xz   | xzcat - > packages.contrib.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.contrib.tmp > packages.contrib
	rm packages.contrib.tmp

packages.non-free:
	# FETCH PACKAGE (sid non-free)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBA)/non-free/binary-$(ARCH)/Packages.xz  | xzcat - > packages.non-free.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.non-free.tmp > packages.non-free
	rm packages.non-free.tmp

packages.experimental.txt:
	# FETCH PACKAGE (experimental main)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBB)/main/binary-$(ARCH)/Packages.xz      | xzcat - > packages.experimental.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.experimental.tmp > packages.experimental.txt
	rm packages.experimental.tmp

packages.txt: packages.main packages.contrib packages.non-free
	# FETCH PACKAGE (sid)
	cat packages.main packages.contrib packages.non-free >packages.txt

packages.stable.txt:
	# FETCH PACKAGE (stable main)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBC)/main/binary-$(ARCH)/Packages.xz      | xzcat - > packages.stable.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.stable.tmp > packages.stable.txt
	rm packages.stable.tmp

packages.oldstable.txt:
	# FETCH PACKAGE (oldstable main contrib)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBD)/main/binary-$(ARCH)/Packages.xz      | xzcat - > packages.oldstable.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.oldstable.tmp > packages.oldstable.txt
	rm packages.oldstable.tmp
	wget -O - $(UDEBD)/contrib/binary-$(ARCH)/Packages.xz      | xzcat - > packages.oldstable.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.oldstable.tmp >> packages.oldstable.txt
	rm packages.oldstable.tmp

all-popcon-results.txt:
	# POPCON RESULTS
	wget -O - $(UPOPC) | zcat - > all-popcon-results.txt

all-popcon-submissions.txt: all-popcon-results.txt
	sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt > all-popcon-submissions.txt

all-popcon-date.txt: all-popcon-results.txt
	echo "<!ENTITY pop-date \"$(shell date -u +'%F %T %Z')\">"	>  all-popcon-date.txt

all-popcon-pkgs.txt: all-popcon-results.txt
	grep --binary-files=text -e '^Package: [a-z0-9][-+a-z0-9.]*[ 0-9]*$$' < all-popcon-results.txt > all-popcon-pkgs.txt

# RAWXML (with @emacs@ etc.) to PACKAGE LIST
pkg.lst: $(DRAW)/$(MANUAL).rawxml
	@$(call check-command, xsltproc, xsltproc)
	# PACKAGE LIST of packages mentioned in the source XML
	$(XPNO) $(DXSL)/pkg.xsl $(DRAW)/$(MANUAL).rawxml > pkg.lst

# ENTITY DATA
# source XML inclusion file (pre-commited since this needs remote access)
remote.ent:
	$(MAKE) $(REMOTE_DATA) $(PKG_LIST)
	cat all-popcon-date.txt													>  remote.ent
	echo "<!ENTITY all-packages \"$$(grep -e '^Package:' packages.txt | wc -l)\">"						>> remote.ent
	echo "<!ENTITY main-packages \"$$( grep -e '^Package:' packages.main | wc -l)\">"					>> remote.ent
	echo "<!ENTITY contrib-packages \"$$(grep -e '^Package:' packages.contrib | wc -l)\">"					>> remote.ent
	echo "<!ENTITY non-free-packages \"$$(grep -e '^Package:' packages.non-free | wc -l)\">"				>> remote.ent
	sort pkg.lst | uniq | $(DBIN)/sizeent packages.txt packages.experimental.txt packages.stable.txt packages.oldstable.txt	>> remote.ent
	echo "<!ENTITY pop-submissions \"$$(sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt)\">"	>> remote.ent
	echo "<!ENTITY pop-architectures \"$$(grep --binary-files=text -e '^Architecture:' all-popcon-results.txt | wc -l)\">"	>> remote.ent
	echo "<!ENTITY pop-packages \"$$(grep -e '^Package:' all-popcon-pkgs.txt | wc -l)\">"					>> remote.ent
	grep -e '^Package:' all-popcon-pkgs.txt | grep -f pkg.lst | $(DBIN)/popconent `cat all-popcon-submissions.txt`		>> remote.ent

# GENERATE
# source XML inclusion file updated for normal build (no remote access)
common.ent: Makefile debian/changelog
	echo "<!ENTITY build-date \"$(SOURCE_DATE)\">"			>  common.ent
	echo "<!ENTITY dr-version \"$(DR_VERSION)\">"			>> common.ent
	echo "<!ENTITY arch \"$(ARCH)\">"				>> common.ent
	echo "<!ENTITY codename-stable  \"$(RELEASE_NAME0L)\">"		>> common.ent
	echo "<!ENTITY Codename-stable  \"$(RELEASE_NAME0C)\">"		>> common.ent
	echo "<!ENTITY codename-testing  \"$(RELEASE_NAME1L)\">"	>> common.ent
	echo "<!ENTITY Codename-testing  \"$(RELEASE_NAME1C)\">"	>> common.ent
	echo "<!ENTITY codename-nexttesting  \"$(RELEASE_NAME2L)\">"	>> common.ent
	echo "<!ENTITY Codename-nexttesting  \"$(RELEASE_NAME2C)\">"	>> common.ent
	echo "<!ENTITY codename-unstable \"sid\">"			>> common.ent
	echo "<!ENTITY Codename-unstable \"Sid\">"                      >> common.ent
	echo "<!ENTITY release-outdated  \"$(RELEASE_NAMEXX)\">"	>> common.ent
	echo "<!ENTITY Codename-doc-1    \"$(RELEASE_DOC_1)\">"		>> common.ent
	echo "<!ENTITY Codename-doc-2    \"$(RELEASE_DOC_2)\">"		>> common.ent


#######################################################################
# Phase 2(build): RAWXML (template) -> English XML
#######################################################################

$(DRAW)/$(MANUAL).rawxml: $(SRC_XML)
	#echo $^

=== debian/changelog ===
debian-reference (2.93) unstable; urgency=medium

  * Fix URL around security.debian.org.  Thanks Gabriel CORRE.
    Closes: #1000991

 -- Osamu Aoki <osamu@debian.org>  Mon, 09 May 2022 23:26:42 +0900

debian-reference (2.92) unstable; urgency=medium

  * Updated German translation (complete set by Holger Wansing).
  * Updated zh-cn, id, pt-br translations.

 -- Osamu Aoki <osamu@debian.org>  Mon, 25 Apr 2022 22:15:31 +0900

debian-reference (2.91) unstable; urgency=medium

  * Merged updates by andika and xiao.

 -- Osamu Aoki <osamu@debian.org>  Sun, 27 Feb 2022 19:39:44 +0900

debian-reference (2.90) unstable; urgency=medium

  * Update zh-cn, id, zh-tw translation.
  * Update en: refine contents around dpkg and git.
  * Fix typo in zh_TW maanpage.
  * Updated remote data.

 -- Osamu Aoki <osamu@debian.org>  Sun, 27 Feb 2022 14:38:42 +0900

=== debian/rules ===
#!/usr/bin/make -f
## ----------------------------------------------------------------------
## debian/rules : package script for debian-reference
## ----------------------------------------------------------------------


## ----------------------------------------------------------------------
## uncomment this to turn on verbose mode
#export DH_VERBOSE=1
## no-parallel to build with the cleaner log (it slows!)
#BUILDOPT:=	 --parallel
#BUILDOPT:=	 --no-parallel

## ----------------------------------------------------------------------
# Package building language choice
# (This should be updated with the maintainer approval)
#
MANUAL	:=	debian-reference
LANGALL	:=	en ja fr id it pt de zh-cn zh-tw es
LANGPO	:=	   ja fr id it pt de zh-cn zh-tw es
# languages to skip generation of PDF files (not used now)
#NOPDF	:=	zh-cn zh-tw
NOPDF	:=      id

## ----------------------------------------------------------------------
## Targets

%:
	dh $@

override_dh_auto_build:
	# Generate files for debhelper in debian/
	cd $(CURDIR)/debian/ ; \
	cp all.preinst-in   $(MANUAL)-common.preinst ; \
	cp all.postinst-in  $(MANUAL)-common.postinst ; \
	for XX in $(LANGALL) ; do \
	  cp all.preinst-in   $(MANUAL)-$${XX}.preinst ; \
	  cp all.postinst-in  $(MANUAL)-$${XX}.postinst ; \
	  cp all.postrm-in    $(MANUAL)-$${XX}.postrm ; \
	  case $$XX in \
	    en) LANGX="English" ;;  \
	    de) LANGX="German" ;;   \
	    fr) LANGX="French" ;;   \
	    fi) LANGX="Finnish" ;;  \
	    es) LANGX="Spanish" ;;  \
	    id) LANGX="Indonesian" ;;  \
	    it) LANGX="Italian" ;;  \
	    ja) LANGX="Japanese" ;; \
	    pl) LANGX="Polish" ;; \
	    pt) LANGX="Portuguese (Portugal)" ;; \
	    pt-br) LANGX="Portuguese (Brazil)" ;; \
	    zh-tw) LANGX="Chinese (Traditional)" ;; \
	    zh-cn) LANGX="Chinese (Simplified)" ;; \
	    *) LANGX="$$x" ;; \
	  esac ; \
	  sed  -e "s/@@/$$XX/g" < all.links-in  >$(MANUAL)-$${XX}.links ; \
	  sed  -e "s/@@/$$XX/g" < all.install-in  >$(MANUAL)-$${XX}.install ; \
	  sed  -e "s/@@/$$XX/g" -e "s/@LANG@/$$LANGX/g" < all.doc-base-in  >$(MANUAL)-$${XX}.doc-base ; \
	  sed  -e "s/@@/$$XX/g" < all.lintian-overrides-in >$(MANUAL)-$${XX}.lintian-overrides ; \
	done
	dh_auto_build $(BUILDOPT) -- \
		"LANGALL=$(LANGALL)" \
		"LANGPO=$(LANGPO)" \
		"NOPDF=$(NOPDF)" \
		all


override_dh_compress:
	dh_compress -X.pdf

override_dh_auto_test:
	# just in case backported to debhelper pre-13
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# error if shipped scripts have syntax error in them
	sh -n bin/debian-reference
	sh -n bin/mkindexhtml
endif

override_dh_auto_clean:
	# Clean files for debhelper in debian/
	-rm -f $(MANUAL)-common.preinst  $(MANUAL)-common.postinst
	-rm -f $(addsuffix .postinst, $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
	-rm -f $(addsuffix .postrm,   $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
	-rm -f $(addsuffix .links,    $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
	-rm -f $(addsuffix .doc-base, $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
	-rm -f $(addsuffix .install,  $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
	$(MAKE) "LANGALL=$(LANGALL)" "LANGPO=$(LANGPO)"  clean

## debian-reference 2.98

=== Makefile ===
--- 
+++ 
@@ -9,12 +9,13 @@
 MANUAL	:=	debian-reference
 # languages translated with PO files
 # This can list more than debian/rules for translator to check the result
-LANGPO	:=	ja fr it pt de zh-cn zh-tw es id nb sv fi pt-br
+# (unless enough translation (10%), don't include it here)
+LANGPO	:=	ja fr it pt de zh-cn zh-tw es id nb sv pt-br
 # languages to skip generation of PDF files (not used now)
+
 NOPDF	:=
 # languages to build document
 LANGALL	=	en $(LANGPO)
-
 # Packages uploaded to unstable repo generate official Debian web pages
 # Change these to post-release state when Debian is under soft freeze
 #
@@ -91,6 +92,10 @@
 SRC_PO :=	$(addsuffix .po, $(addprefix  $(DPO)/, $(LANGPO)))
 # sed script for replace
 SEDF ?= $(DBIN)/replace0
+
+# po4a/opencc translation
+BUILDXML ?= $(DBIN)/buildxml
+FUZZYPO ?= $(DBIN)/fuzzypo
 
 # Remote file source (related to Debian package archive URLs)
 #DEBM	:=	http://ftp.us.debian.org/debian/dists
@@ -281,8 +286,3 @@
 
 
 #######################################################################
-# Phase 2(build): RAWXML (template) -> English XML
-#######################################################################
-
-$(DRAW)/$(MANUAL).rawxml: $(SRC_XML)
-	#echo $^

=== debian/changelog ===
debian-reference (2.98) unstable; urgency=medium

  * Source-only upload to get this migrate to testing.

 -- Osamu Aoki <osamu@debian.org>  Sat, 08 Oct 2022 12:32:13 +0900

debian-reference (2.97) unstable; urgency=medium

  * Binary upload to get pt-br. 

 -- Osamu Aoki <osamu@debian.org>  Fri, 30 Sep 2022 20:13:17 +0900

debian-reference (2.96) unstable; urgency=medium

  * po4a --no-translations for optimization
  * Add texlive-lang-others for Indonesian PDF.

 -- Osamu Aoki <osamu@debian.org>  Fri, 30 Sep 2022 20:07:23 +0900

debian-reference (2.95) unstable; urgency=medium

  [ Osamu Aoki ]
  * Add pt-br package
  * Optimize build process
  * Update it.po UEFI link
  * Update zh-tw.po: fix typo
  * Update README.md: sync with new po4a approach

  [ xiao sheng wen(肖盛文) ]
  * Update Translated using Weblate, make po
  * Translated using Weblate (Chinese (Simplified))
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Spanish)
  * Update README.md: add Merge patches from weblate to the source section

 -- Osamu Aoki <osamu@debian.org>  Fri, 30 Sep 2022 19:20:43 +0900

debian-reference (2.94) unstable; urgency=medium

  * Updated contents around GRUB2 EFI.
  * Updated translaions (es, fr, id, zh-*).
  * Migrate to use po4a command.  Closes: #1020207

 -- Osamu Aoki <osamu@debian.org>  Tue, 27 Sep 2022 14:10:32 +0900

## debian-reference 2.100

=== Makefile ===
--- 
+++ 
@@ -111,7 +111,7 @@
 UDEBC	:=	$(DEBM)/stable
 UDEBD	:=	$(DEBM)/oldstable
 # processed remote data
-PACKAGES_DATA := packages.main packages.contrib packages.non-free \
+PACKAGES_DATA := packages.main packages.non-free-firmware packages.contrib packages.non-free \
 		packages.txt packages.experimental.txt \
 		packages.stable.txt packages.oldstable.txt
 POPCON_DATA :=  all-popcon-results.txt \
@@ -193,6 +193,14 @@
 	grep-dctrl -e -sPackage,Installed-Size -P "." packages.contrib.tmp > packages.contrib
 	rm packages.contrib.tmp
 
+packages.non-free-firmware:
+	# FETCH PACKAGE (sid non-free-firmware)
+	@$(call check-command, wget, wget)
+	@$(call check-command, grep-dctrl, dctrl-tools)
+	wget -O - $(UDEBA)/non-free-firmware/binary-$(ARCH)/Packages.xz  | xzcat - > packages.non-free-firmware.tmp
+	grep-dctrl -e -sPackage,Installed-Size -P "." packages.non-free-firmware.tmp > packages.non-free-firmware
+	rm packages.non-free-firmware.tmp
+
 packages.non-free:
 	# FETCH PACKAGE (sid non-free)
 	@$(call check-command, wget, wget)
@@ -209,9 +217,9 @@
 	grep-dctrl -e -sPackage,Installed-Size -P "." packages.experimental.tmp > packages.experimental.txt
 	rm packages.experimental.tmp
 
-packages.txt: packages.main packages.contrib packages.non-free
+packages.txt: packages.main packages.non-free-firmware packages.contrib packages.non-free
 	# FETCH PACKAGE (sid)
-	cat packages.main packages.contrib packages.non-free >packages.txt
+	cat packages.main packages.non-free-firmware packages.contrib packages.non-free >packages.txt
 
 packages.stable.txt:
 	# FETCH PACKAGE (stable main)
@@ -259,6 +267,7 @@
 	echo "<!ENTITY all-packages \"$$(grep -e '^Package:' packages.txt | wc -l)\">"						>> remote.ent
 	echo "<!ENTITY main-packages \"$$( grep -e '^Package:' packages.main | wc -l)\">"					>> remote.ent
 	echo "<!ENTITY contrib-packages \"$$(grep -e '^Package:' packages.contrib | wc -l)\">"					>> remote.ent
+	echo "<!ENTITY non-free-firmware-packages \"$$(grep -e '^Package:' packages.non-free-firmware | wc -l)\">"		>> remote.ent
 	echo "<!ENTITY non-free-packages \"$$(grep -e '^Package:' packages.non-free | wc -l)\">"				>> remote.ent
 	sort pkg.lst | uniq | $(DBIN)/sizeent packages.txt packages.experimental.txt packages.stable.txt packages.oldstable.txt	>> remote.ent
 	echo "<!ENTITY pop-submissions \"$$(sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt)\">"	>> remote.ent
@@ -276,13 +285,3 @@
 	echo "<!ENTITY Codename-stable  \"$(RELEASE_NAME0C)\">"		>> common.ent
 	echo "<!ENTITY codename-testing  \"$(RELEASE_NAME1L)\">"	>> common.ent
 	echo "<!ENTITY Codename-testing  \"$(RELEASE_NAME1C)\">"	>> common.ent
-	echo "<!ENTITY codename-nexttesting  \"$(RELEASE_NAME2L)\">"	>> common.ent
-	echo "<!ENTITY Codename-nexttesting  \"$(RELEASE_NAME2C)\">"	>> common.ent
-	echo "<!ENTITY codename-unstable \"sid\">"			>> common.ent
-	echo "<!ENTITY Codename-unstable \"Sid\">"                      >> common.ent
-	echo "<!ENTITY release-outdated  \"$(RELEASE_NAMEXX)\">"	>> common.ent
-	echo "<!ENTITY Codename-doc-1    \"$(RELEASE_DOC_1)\">"		>> common.ent
-	echo "<!ENTITY Codename-doc-2    \"$(RELEASE_DOC_2)\">"		>> common.ent
-
-
-#######################################################################

=== debian/changelog ===
debian-reference (2.100) unstable; urgency=medium

  [ Andika Triwidada ]
  * Typo fixes

  [ Osamu Aoki ]
  * Update /etc/passwd description.
  * MTA is optional now.
  * bookworm changes.  Closes: #1030282
  * update remote.ent and make po

 -- Osamu Aoki <osamu@debian.org>  Sat, 04 Feb 2023 20:59:01 +0900

debian-reference (2.99) unstable; urgency=medium

  [ Ricardo Berlim Fonseca ]
  * Translated using Weblate (Portuguese (Brazil))

  [ Kwam's Sammy ]
  * Translated using Weblate (French)

  [ Andika Triwidada ]
  * Translated using Weblate (Indonesian)

  [ xiao sheng wen(肖盛文) ]
  * Translated using Weblate (Indonesian)

  [ Beatrice Torracca ]
  * Updated Italian translation

  [ Osamu Aoki ]
  * update README.md
  * Update entity

 -- Osamu Aoki <osamu@debian.org>  Tue, 24 Jan 2023 15:15:51 +0900

=== debian/control ===
Source: debian-reference
Section: doc
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: dblatex,
                     docbook-xml,
                     docbook-xsl,
                     faketime,
                     fonts-liberation2,
                     fonts-vlgothic,
                     fonts-wqy-microhei,
                     libxml2-utils,
                     locales-all | locales,
                     opencc,
                     po4a,
                     python3,
                     texlive-lang-chinese,
                     texlive-lang-english,
                     texlive-lang-french,
                     texlive-lang-german,
                     texlive-lang-italian,
                     texlive-lang-japanese,
                     texlive-lang-other,
                     texlive-lang-portuguese,
                     texlive-lang-spanish,
                     texlive-xetex,
                     w3m,
                     xsltproc
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/debian-reference.git -b latest
Vcs-Browser: https://salsa.debian.org/debian/debian-reference
Homepage: https://www.debian.org/doc/user-manuals#quick-reference

Package: debian-reference-common
Architecture: all
Depends: sensible-utils, ${misc:Depends}
Recommends: w3m | www-browser
Suggests: calibre,
          debian-reference,
          debian-reference-de,
          debian-reference-en,
          debian-reference-es,
          debian-reference-fr,
          debian-reference-id,
          debian-reference-it,
          debian-reference-ja,
          debian-reference-pt,
          debian-reference-zh-cn,
          debian-reference-zh-tw,
          mc,
          vim
Description: Debian system administration guide, common files
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 This only provides menu functionality and other common files.

Package: debian-reference
Architecture: all
Depends: debian-reference-en, ${misc:Depends}
Recommends: debian-reference-de,
            debian-reference-es,
            debian-reference-fr,
            debian-reference-id,
            debian-reference-it,
            debian-reference-ja,
            debian-reference-pt,
            debian-reference-zh-cn,
            debian-reference-zh-tw
Description: metapackage to install (all) translations of Debian Reference
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 This installs all translations when "Recommends:" are installed.

Package: debian-reference-en
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: doc-base
Description: Debian system administration guide, English original
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The English original version.

Package: debian-reference-de
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, German translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The German translation.

Package: debian-reference-fr
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, French translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The French translation.

Package: debian-reference-id
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Indonesian translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Indonesian translation.

Package: debian-reference-it
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Italian translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Italian translation.

Package: debian-reference-ja
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Japanese translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Japanese translation.

Package: debian-reference-pt
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Portuguese translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Portuguese (Portugal) translation.

Package: debian-reference-pt-br
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Portuguese translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Portuguese (Brazil) translation.

Package: debian-reference-zh-cn
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Chinese (Simplified) translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Chinese (Simplified) translation.

Package: debian-reference-zh-tw
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Chinese (Traditional) translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Chinese (Traditional) translation.

Package: debian-reference-es
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Spanish translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Spanish translation.

=== debian/rules ===
--- 
+++ 
@@ -16,11 +16,11 @@
 # (This should be updated with the maintainer approval)
 #
 MANUAL	:=	debian-reference
-LANGALL	:=	en ja fr id it pt de zh-cn zh-tw es
-LANGPO	:=	   ja fr id it pt de zh-cn zh-tw es
+LANGALL	:=	en ja fr id it pt de zh-cn zh-tw es pt-br
+LANGPO	:=	   ja fr id it pt de zh-cn zh-tw es pt-br
 # languages to skip generation of PDF files (not used now)
 #NOPDF	:=	zh-cn zh-tw
-NOPDF	:=      id
+NOPDF	:=
 
 ## ----------------------------------------------------------------------
 ## Targets

## debian-reference 2.101

=== Makefile ===
--- 
+++ 
@@ -20,19 +20,19 @@
 # Change these to post-release state when Debian is under soft freeze
 #
 # current "stable" release name
-RELEASE_NAME0L := bullseye
-RELEASE_NAME0C := Bullseye
+RELEASE_NAME0L := bookworm
+RELEASE_NAME0U := Bookworm
 # next "stable" / "testing" release name
-RELEASE_NAME1L := bookworm
-RELEASE_NAME1C := Bookworm
+RELEASE_NAME1L := trixie
+RELEASE_NAME1U := Trixie
 # next next "stable" / next "testing" release name
-RELEASE_NAME2L := trixie
-RELEASE_NAME2C := Trixie
+RELEASE_NAME2L := forky
+RELEASE_NAME2U := Forky
 # release name considered outdated (Release_Date-EOL_for_LTS)
 RELEASE_NAMEXX := Jessie 8 (2015-2020)
 # release names when this document was last updated
-RELEASE_DOC_1  := Bullseye (=<literal>stable</literal>)
-RELEASE_DOC_2  := Bookworm (=<literal>testing</literal>)
+RELEASE_DOC_1  := Bookworm (=<literal>stable</literal>)
+RELEASE_DOC_2  := Trixie (=<literal>testing</literal>)
 
 # version in changelog
 DR_VERSION :=	$(shell dpkg-parsechangelog --show-field Version)
@@ -282,6 +282,6 @@
 	echo "<!ENTITY dr-version \"$(DR_VERSION)\">"			>> common.ent
 	echo "<!ENTITY arch \"$(ARCH)\">"				>> common.ent
 	echo "<!ENTITY codename-stable  \"$(RELEASE_NAME0L)\">"		>> common.ent
-	echo "<!ENTITY Codename-stable  \"$(RELEASE_NAME0C)\">"		>> common.ent
+	echo "<!ENTITY Codename-stable  \"$(RELEASE_NAME0U)\">"		>> common.ent
 	echo "<!ENTITY codename-testing  \"$(RELEASE_NAME1L)\">"	>> common.ent
-	echo "<!ENTITY Codename-testing  \"$(RELEASE_NAME1C)\">"	>> common.ent
+	echo "<!ENTITY Codename-testing  \"$(RELEASE_NAME1U)\">"	>> common.ent

=== debian/changelog ===
debian-reference (2.101) unstable; urgency=medium

  [ Osamu Aoki ]
  * Bump stable release names (Bullseye -> Bookworm transition)
  * Remove/update references to removed packages in rawxml
  * Update Debian site data. (remote.ent)

  [ xiao sheng wen(肖盛文) ]
  * es.po: Translated using Weblate (Spanish)
  * es.po: fix typo
  * fr.po: Translated using Weblate (French)
  * fr.po: delete one msgstr, which use % character in the URL
  * fr.po: fix typo
  * id.po: Translated using Weblate (Indonesian)
  * pt-br.po: Translated using Weblate (Portuguese (Brazil))
  * zh-cn.po: Translated using Weblate (Chinese (Simplified))
  * zh-tw.po: Translated using Weblate (Chinese (Traditional))

  [ Andika Triwidada ]
  * id.po: Translated using Weblate (Indonesian)

  [ Beatrice Torracca ]
  * it.po: Updated Italian translation

  [ Guillonneau Jean-Paul ]
  * fr.po: Translated using Weblate (French)

  [ Felipe Nogueira ]
  * pt-br.po: Translated using Weblate (Portuguese (Brazil))

  [ gallegonovato ]
  * es.po: Translated using Weblate (Spanish)

  [ eulalio ]
  * es.po: Translated using Weblate (Spanish)

  [ Dr. Tobias Quathamer ]
  * de.po: Fix typo

 -- Osamu Aoki <osamu@debian.org>  Wed, 14 Jun 2023 13:56:51 +0900

## debian-reference 2.102

=== Makefile ===
--- 
+++ 
@@ -118,7 +118,6 @@
 		all-popcon-date.txt \
 		all-popcon-submissions.txt \
 		all-popcon-pkgs.txt
-PKG_LIST :=	pkg.lst
 REMOTE_DATA :=	$(PACKAGES_DATA) $(POPCON_DATA)
 
 
@@ -141,19 +140,19 @@
 # ===== Build targets =================================================
 #======================================================================
 #######################################################################
-# $ make all       # build all
+# $ make all       # build all formats
 #######################################################################
 .PHONY: all
 # set LANGPO to limit language to speed up build
 all: css html txt pdf
-	cat fuzzy.log
-
-#######################################################################
-# $ make test      # build html for testing (for Translator)
+	-cat fuzzy.log
+
+#######################################################################
+# $ make test      # build html for all languages (for Translator)
 #######################################################################
 .PHONY: test
 test: html css
-	cat fuzzy.log
+	-cat fuzzy.log
 
 #######################################################################
 # $ make entity    # refresh remote.ent (Need remote access)
@@ -163,6 +162,7 @@
 entity:
 	$(MAKE) entityclean
 	$(MAKE) remote.ent
+
 #######################################################################
 # $ make en      # build html for testing (for English)
 #######################################################################
@@ -172,11 +172,8 @@
 	$(MAKE) html css LANGPO=
 
 #######################################################################
-# Phase 1 (pre-build): Debian archive stat data
-#######################################################################
-.PHONY: remote
-remote: $(REMOTE_DATA)
-
+# Phase 1.1 (pre-build): Debian archive stat data: REMOTE_DATA
+#######################################################################
 packages.main:
 	# FETCH PACKAGE (sid main)
 	@$(call check-command, wget, wget)
@@ -253,16 +250,25 @@
 all-popcon-pkgs.txt: all-popcon-results.txt
 	grep --binary-files=text -e '^Package: [a-z0-9][-+a-z0-9.]*[ 0-9]*$$' < all-popcon-results.txt > all-popcon-pkgs.txt
 
+.PHONY: remote
+remote: $(REMOTE_DATA)
+#######################################################################
+# Phase 1.2 (pre-build): Debian archive stat data (pkg.list)
+#######################################################################
 # RAWXML (with @emacs@ etc.) to PACKAGE LIST
 pkg.lst: $(DRAW)/$(MANUAL).rawxml
 	@$(call check-command, xsltproc, xsltproc)
 	# PACKAGE LIST of packages mentioned in the source XML
 	$(XPNO) $(DXSL)/pkg.xsl $(DRAW)/$(MANUAL).rawxml > pkg.lst
 
+#######################################################################
+# Phase 1.3 (pre-build): Debian archive stat data (SRC_ENT)
+#######################################################################
 # ENTITY DATA
 # source XML inclusion file (pre-commited since this needs remote access)
 remote.ent:
-	$(MAKE) $(REMOTE_DATA) $(PKG_LIST)
+	$(MAKE) $(REMOTE_DATA)
+	$(MAKE) pkg.list
 	cat all-popcon-date.txt													>  remote.ent
 	echo "<!ENTITY all-packages \"$$(grep -e '^Package:' packages.txt | wc -l)\">"						>> remote.ent
 	echo "<!ENTITY main-packages \"$$( grep -e '^Package:' packages.main | wc -l)\">"					>> remote.ent
@@ -278,10 +284,3 @@
 # GENERATE
 # source XML inclusion file updated for normal build (no remote access)
 common.ent: Makefile debian/changelog
-	echo "<!ENTITY build-date \"$(SOURCE_DATE)\">"			>  common.ent
-	echo "<!ENTITY dr-version \"$(DR_VERSION)\">"			>> common.ent
-	echo "<!ENTITY arch \"$(ARCH)\">"				>> common.ent
-	echo "<!ENTITY codename-stable  \"$(RELEASE_NAME0L)\">"		>> common.ent
-	echo "<!ENTITY Codename-stable  \"$(RELEASE_NAME0U)\">"		>> common.ent
-	echo "<!ENTITY codename-testing  \"$(RELEASE_NAME1L)\">"	>> common.ent
-	echo "<!ENTITY Codename-testing  \"$(RELEASE_NAME1U)\">"	>> common.ent

=== debian/changelog ===
debian-reference (2.102) unstable; urgency=medium

  [ Locid ]
  * Translated using Weblate (Indonesian)

  [ Reza Almanda ]
  * Translated using Weblate (Indonesian)

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ Claudio Filho F Filho ]
  * pt-br.po: Translated using Weblate (Portuguese (Brazil))

  [ xiao sheng wen(肖盛文) ]
  * Fix type kerrnel --> kernel Closes: #1040614
  * Fix typo hdparam --> hdparm. Closes: #1040807
  * Fix type -F --> -T. Closes: #1040926
  * Run make wrap; make po; make clean

  [ Osamu Aoki ]
  * Fix cyclic Makefile
  * Update for SC 1.2. Closes: #1032453
  * Rephrase around locales-all. Closes: #1040698
  * Fix type detach-sig --> detach-sign. Closes: #1041247
  * Reorder and deb822 etc. Closes: #1043039
  * Fix apt-pinning markups in po/*.po

 -- Osamu Aoki <osamu@debian.org>  Sat, 05 Aug 2023 14:24:24 +0900

## debian-reference 2.103

=== Makefile ===
--- 
+++ 
@@ -9,8 +9,10 @@
 MANUAL	:=	debian-reference
 # languages translated with PO files
 # This can list more than debian/rules for translator to check the result
-# (unless enough translation (10%), don't include it here)
+# (unless enough translation (100 strings or more), don't include it here)
 LANGPO	:=	ja fr it pt de zh-cn zh-tw es id nb sv pt-br
+# ko fi are less than 10 strings
+#LANGPO	:=	ja fr it pt de zh-cn zh-tw es id nb sv pt-br ko fi
 # languages to skip generation of PDF files (not used now)
 
 NOPDF	:=
@@ -76,7 +78,6 @@
 XPNO	:=	xsltproc --novalid --nonet
 XPINC	:=	/usr/bin/faketime @$(SOURCE_DATE_EPOCH) xsltproc --novalid --nonet --xinclude
 GETTEXT	:=	po4a-gettextize -M utf-8 -L utf-8 --format docbook
-UPDATEPO:=	msgmerge --update --previous
 MSGATTR	:=	msgattrib
 MSGCAT	:=	msgcat
 MSGUNIQ	:=	msguniq --use-first
@@ -253,7 +254,7 @@
 .PHONY: remote
 remote: $(REMOTE_DATA)
 #######################################################################
-# Phase 1.2 (pre-build): Debian archive stat data (pkg.list)
+# Phase 1.2 (pre-build): Debian archive stat data (pkg.lst)
 #######################################################################
 # RAWXML (with @emacs@ etc.) to PACKAGE LIST
 pkg.lst: $(DRAW)/$(MANUAL).rawxml
@@ -268,7 +269,7 @@
 # source XML inclusion file (pre-commited since this needs remote access)
 remote.ent:
 	$(MAKE) $(REMOTE_DATA)
-	$(MAKE) pkg.list
+	$(MAKE) pkg.lst
 	cat all-popcon-date.txt													>  remote.ent
 	echo "<!ENTITY all-packages \"$$(grep -e '^Package:' packages.txt | wc -l)\">"						>> remote.ent
 	echo "<!ENTITY main-packages \"$$( grep -e '^Package:' packages.main | wc -l)\">"					>> remote.ent
@@ -283,4 +284,3 @@
 
 # GENERATE
 # source XML inclusion file updated for normal build (no remote access)
-common.ent: Makefile debian/changelog

=== debian/changelog ===
debian-reference (2.103) unstable; urgency=medium

  [ Andika Triwidada ]
  * Translated using Weblate (Indonesian)

  [ xiao sheng wen(肖盛文) ]
  * Translated using Weblate (Chinese (Simplified))
  * Translated using Weblate (French)
  * fix some typos
  * make po

  [ tachyglossues ]
  * Translated using Weblate (French)

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ Osamu Aoki ]
  * 02_debian_package_management.rawxml: apt-pinning
  * 05_network_setup.rawxml: number
  * 06_network_applications.rawxml: touch up
  * 09_system_tips.rawxml: systemd-nspawn
  * 12_programming.rawxml: touch up
  * Update ja: 100% translated
  * README.md
  * Makefile: Minor clean up
  * Makefile: add "stat"
  * buildxml: Minor clean up
  * unfuzzy
  * bin/buildxml: add comments
  * bin/sedpoxml
  * bin/merge-po: po merge script
  * remote.ent: updated

 -- Osamu Aoki <osamu@debian.org>  Tue, 05 Sep 2023 22:43:04 +0900
